## Class invalid_value

boost::log::invalid_value — Exception class that is used to indicate errors of incorrect value of an object.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class invalid_value : public runtime_error {
    public:
      // construct/copy/destruct
      invalid_value();
      explicit invalid_value(std::string const &);
      ~invalid_value();
    };

## Description

### `invalid_value` public construct/copy/destruct

1.     invalid_value();

   Default constructor. Creates an exception with the default error message.

2.     explicit invalid_value(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~invalid_value();

   Destructor